@font-face {
    font-family: "InterBold";
    src: url("/fonts/inter-700.woff2") format("woff2");
    font-weight: 700;
    font-style: normal;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 20px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.7) 0%,
        rgba(0, 0, 0, 0.54) 19%,
        rgba(0, 0, 0, 0.38) 34%,
        rgba(0, 0, 0, 0.23) 47%,
        rgba(0, 0, 0, 0.12) 57%,
        rgba(0, 0, 0, 0.05) 65%,
        rgba(0, 0, 0, 0.01) 73%,
        rgba(0, 0, 0, 0) 80%
    );
    color: white;
    user-select: none;
    -webkit-user-select: none;
}

header,
.logo,
.nav-menu a {
    font-family: "InterBold";
    font-size: 1.1rem;
}

a.logo {
    /* margin-top: 20px; */
    font-family: "InterBold";
    font-weight: 700;
    font-size: 1.9rem;
    z-index: 1001;
    text-decoration: none;
    color: white;
    cursor: pointer;
}

.nav-menu {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    gap: 55px;
    display: flex;
}

.nav-menu a {
    margin-top: 13px;
    text-decoration: none;
    color: white;
    font-weight: 500;
    font-size: 1rem;
    text-transform: uppercase;
}

.hamburger {
    display: none;
    cursor: pointer;
    font-size: 1.5rem;
    z-index: 1001;
}

@media (max-width: 768px) {
    header {
        padding-top: 10px;
    }

    .nav-menu {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;

        background-color: black;
        transition: none;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        display: none;
        transform: none;
    }

    .nav-menu.active {
        display: flex;
    }

    .nav-menu a {
        font-size: 1.5rem;
        margin: 10px 0;
    }

    .hamburger {
        display: block;
    }
}
